Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061711 - Specify tuneables for raid array creation
Summary: Specify tuneables for raid array creation
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 838957 1046725
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 13:35 UTC by Jes Sorensen
Modified: 2016-07-19 14:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 10:57:55 UTC


Attachments (Terms of Use)

Description Jes Sorensen 2014-02-05 13:35:00 UTC
Description of problem:
Creating a raid array is not a one config fits all operation. Use this BZ
to review tuneables and parameters used when creating raid arrays from
Anaconda.

Per BZ#1046725, it is clear that we need to be able to specify chunk size
on creation.

In addition it is not optimal to default to 1.0 metadata, 1.2 makes more sense.

It should also be an option to specify an email address to be put into 
/etc/mdadm.conf for the raid array BZ#838957

What else?

Comment 1 Chris Murphy 2014-02-24 18:52:09 UTC
Are the common/recommended hardware raid companies exposing the necessary information for mkfs to properly align? This is true for md raid and LVM, but if it's still not happening for hardware RAID then we need mkfs options so that proper alignment is possible.

Comment 2 Jaroslav Reznik 2015-03-03 15:27:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 David Shea 2015-04-24 19:27:37 UTC
Having a second bug for this isn't helpful.

*** This bug has been marked as a duplicate of bug 1046725 ***

Comment 4 David Lehman 2015-04-29 14:46:55 UTC
Jes, we have some old code that overrides the default for "bootable" arrays (/boot, /boot/efi, PReP) to version 1.0 metadata. It is probably a relic of legacy (v1) grub, but I am not sure. Do you think we can remove this now that we're using grub2?

Comment 5 Doug Ledford 2015-04-29 15:09:39 UTC
Grub1 is precisely why that code is there.  It was unable to handle any filesystm that didn't start at offset of 0 from the partition table start.

Comment 6 Jes Sorensen 2015-04-29 15:17:56 UTC
I was going to ask for Doug's input, but he was too quick :)

If we're off grub1 for all cases, then lets get rid of it - having an option
to allow users to select in an expert many would be preferred, and otherwise
default to v1.2.

Cheers,
Jes

Comment 7 Chris Murphy 2015-05-13 18:13:56 UTC
v1.0 metadata is needed for bootable raid1 /boot/efi or UEFI firmware won't be able to use the ESP. I still think that's a misfeature asking for problems, but that bug 1118580 is closed.

Comment 8 David Lehman 2015-08-03 18:45:50 UTC
One bug per issue is the only way to keep things under control.

We're only using v1.0 metadata for /boot/efi as of blivet-1.7. Prior to that change we used v1.0 for /boot, but we've been using v1.2 for everything else for a couple of years now as I recall. Of course, since then we've had a request since then to start using v1.0 for /boot again to accommodate extlinux (https://github.com/rhinstaller/blivet/pull/185).

Comment 9 Fedora End Of Life 2016-07-19 10:57:55 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 David Lehman 2016-07-19 14:47:24 UTC
blivet-2.1.0, anaconda-25.5, pykickstart-2.26 contain support for specifying md chunk size. The anaconda support is kickstart-only. Any new support requests for md tuneables should be done in separate bug reports.


Note You need to log in before you can comment on or make changes to this bug.